## libsdl2-ttf 2.0.12%2Bdfsg1

=== debian/changelog ===
libsdl2-ttf (2.0.12+dfsg1-2) unstable; urgency=low

  * Build-Depends on pkg-config
  * Do not call dh_autoreconf with ./autogen.sh as parameter, to force
    using new config.{sub,guess} files, which important when having new
    architectures (Closes: #727437)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 29 Oct 2013 18:18:49 +0000

libsdl2-ttf (2.0.12+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #719643)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 13 Aug 2013 23:35:27 +0100
