## libsdl2-ttf 2.0.14+dfsg1

=== debian/changelog ===
libsdl2-ttf (2.0.14+dfsg1-2) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Update Vcs-* URLs
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Use automatic dbgsym packages, drop -dbg

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 31 Jul 2017 23:19:16 +0200

libsdl2-ttf (2.0.14+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - d/patches: drop link_libm_ftbfs_binutils-gold, support added upstream
    - Does not cause the compilation warning upgraded to error
      (Closes: #812621)
    - d/rules: update shlib and .so symlink to current version
  * Bump Policy Standards-Version to 3.9.6 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 02 Feb 2016 12:48:36 +0000
