=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+$// \
  http://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)
