## libsdl2-ttf 2.0.15+dfsg1

=== debian/changelog ===
libsdl2-ttf (2.0.15+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Verify signature of upstream tarball.
  * Drop fix-ftbfs-892441.patch, fixed upstream. (Closes: #914486)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 03 Feb 2019 13:00:22 +0100

libsdl2-ttf (2.0.14+dfsg1-3) unstable; urgency=medium

  * d/patches:
    - add fix-ftbfs-892441.patch: use pkg-config instead of
      freetype-config, deprecated and about to be removed (Closes: #892441)
  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level 11
  * Set "Rules-Requires-Root: no" in d/control
  * d/copyright: use https in format URL
  * d/watch:
    - Switch to version=4
    - Use https in URL
  * d/control:
    - Use https in Homepage URL
    - Update Vcs-* URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 19 Oct 2018 17:08:11 +0200
