=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10~),
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 11~),
                libfreetype6-dev,
                libsdl2-dev (>= 2.0.0),
                pkg-config
-Homepage: http://www.libsdl.org/projects/SDL_ttf/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-ttf.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-ttf.git
+Homepage: https://www.libsdl.org/projects/SDL_ttf/
+Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-ttf
+Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-ttf.git
 
 
 Package: libsdl2-ttf-2.0-0
