=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 # export variables for autoreconf
 export AUTOMAKE := automake --foreign
+export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude
 
 
 %:
@@ -29,7 +30,7 @@
 	dh_installchangelogs -- CHANGES.txt
 
 override_dh_link:
-        # fix lintian warning dev-pkg-without-shlib-symlink
+	# fix lintian warning dev-pkg-without-shlib-symlink
 	dh_link -plibsdl2-ttf-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so
 	dh_link --remaining-packages
