## libsdl2-ttf 2.0.18+dfsg

=== debian/changelog ===
libsdl2-ttf (2.0.18+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Jan 2022 09:29:57 +0000

libsdl2-ttf (2.0.18+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/libsdl2-ttf-2.0-0.symbols: Require v2.0.18 for recent symbols.
    This simplifies dependency generation a bit; there's no real need to
    keep track of individual git snapshots.

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jan 2022 09:19:12 +0000

libsdl2-ttf (2.0.18~git20220107.g5d387eb+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * d/copyright: Update
  * d/*.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Jan 2022 14:07:32 +0000

libsdl2-ttf (2.0.15+git20211215.gf5f6e4a+dfsg-1) experimental; urgency=medium

  * Team upload
  * Branch for experimental
  * New upstream snapshot
    - Update symbols file
    - d/control: Update build-dependencies
    - d/copyright: Update
    - d/rules: Explicitly enable harfbuzz and disable vendored copies
  * d/copyright, d/gbp.conf: Filter more generated/vendored files.
    If we're repacking the tarball *anyway*, we might as well exclude these
    too. They'll be restored by dh_autoreconf.

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Dec 2021 13:29:47 +0000

libsdl2-ttf (2.0.15+dfsg1-2) unstable; urgency=medium

  * Team upload

  [ Felix Geyer ]
  * Switch to debhelper compat level 12

  [ Simon McVittie ]
  * Add an autopkgtest smoke-test (Closes: #941024)
  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.
  * d/rules: Stop overriding dh_compress.
    In debhelper compat level 12, examples are not compressed by default.
  * d/rules: Remove unnecessary -dbgsym migration path.
    The migration happened between Debian 9 and Debian 10, and we don't
    support skipping a release.
  * Use recommended debhelper compat level 13.
    Drop dh_missing override, --fail-missing is now the default.
  * Use a .symbols file to track the ABI.
    2.0.15 is available since Debian 10, so I haven't attempted to determine
    which symbols were already available in older releases.
  * Re-export upstream signing key without extra signatures.
  * d/copyright: Add Files-Excluded to document what we remove.
    This allows a suitably repacked tarball to be downloaded using uscan.
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Oct 2021 11:17:38 +0100
