=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11~),
-               libfreetype6-dev,
-               libsdl2-dev (>= 2.0.0),
+Build-Depends: debhelper-compat (= 13),
+               libfreetype-dev,
+               libharfbuzz-dev (>= 2.3.1),
+               libsdl2-dev (>= 2.0.12),
                pkg-config
 Homepage: https://www.libsdl.org/projects/SDL_ttf/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-ttf
