=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


# export variables for autoreconf
export AUTOMAKE := automake --foreign
export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude


confflags += --enable-harfbuzz
confflags += --disable-freetype-builtin
confflags += --disable-harfbuzz-builtin


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
	# fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-ttf-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_ttf-2.0.so
	dh_link --remaining-packages
