=== debian/tests/control ===
Tests: libsdl2-ttf-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 file,
 fonts-cantarell,
 libsdl2-ttf-dev,
 pkg-config,
 xauth,
 xvfb,
