## libsdl2-ttf 2.20.0+dfsg

=== debian/changelog ===
libsdl2-ttf (2.20.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/libsdl2-ttf-2.0-0.symbols: Use stable release for recent symbols.
    We don't need to keep track of which specific prerelease introduced
    each symbol now that they're in a stable release.
  * d/watch: Only look for stable releases
  * Standards-Version: 4.6.1 (no changes required)
  * d/rules: Enable full compiler hardening
  * Switch branch for upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 14:55:03 +0100

libsdl2-ttf (2.19.2+dfsg-1) experimental; urgency=medium

  * New upstream prerelease
  * d/watch: Don't download Windows binaries, etc.
  * d/watch: Accept development prereleases for experimental branch
  * Add myself to Uploaders
  * Drop all patches, applied upstream
  * d/libsdl2-ttf-dev.install: Install the new CMake metadata
  * d/tests: Exercise a CMake build

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 10:56:50 +0100

libsdl2-ttf (2.19.1+dfsg-2) experimental; urgency=medium

  * Team upload
  * d/patches: Add post-release-candidate fixes from upstream.
    In particular this fixes an autopkgtest regression for src:pysdl2.
  * d/watch: Automatically add +dfsg suffix
  * d/.gitignore: Add

 -- Simon McVittie <smcv@debian.org>  Tue, 31 May 2022 13:16:45 +0100

libsdl2-ttf (2.19.1+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream prerelease
  * d/watch: Download releases from Github
  * d/copyright: Remove exclusion patterns that are no longer needed
  * d/watch: Don't download prereleases (by default)

 -- Simon McVittie <smcv@debian.org>  Wed, 25 May 2022 20:27:23 +0100

libsdl2-ttf (2.0.18+git20220512.g21ae4c6+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
  * Update symbols file.
    Ignore removal of TTF_SetFontScript, which only existed in experimental.

 -- Simon McVittie <smcv@debian.org>  Fri, 13 May 2022 16:30:01 +0100

libsdl2-ttf (2.0.18+git20220508.gaa0659b+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
    - Drop patches, applied upstream
    - Update symbols file with new ABI from development branch

 -- Simon McVittie <smcv@debian.org>  Mon, 09 May 2022 17:06:08 +0100

libsdl2-ttf (2.0.18+dfsg-3) unstable; urgency=medium

  * Team upload
  * Add patches from upstream to fix overflows
    - Integer overflow with crafted/malicious TTF files
      (Closes: #1010671, CVE-2022-27470)
    - Buffer overflow if memory allocation fails

 -- Simon McVittie <smcv@debian.org>  Sat, 07 May 2022 11:34:44 +0100
