=== debian/changelog ===
libsdl2-ttf (2.20.1+dfsg-2) unstable; urgency=medium

  * d/watch: Update for Github website changes

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:19:30 +0100

libsdl2-ttf (2.20.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Aug 2022 21:05:35 +0100
