=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.6.0
+Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libfreetype-dev,
@@ -33,6 +33,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libc6-dev,
+         libfreetype-dev,
+         libharfbuzz-dev (>= 2.3.1),
          libsdl2-ttf-2.0-0 (= ${binary:Version}),
          libsdl2-dev (>= 2.0.0)
 Description: TrueType Font library for Simple DirectMedia Layer 2, development files
