## libsdl2-ttf 2.20.2+dfsg

=== debian/changelog ===
libsdl2-ttf (2.20.2+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * d/upstream/metadata: Add
  * d/control: Remove version constraints unnecessary since Debian 10

  [ Simon McVittie ]
  * New upstream stable release
    - Functionally equivalent to 2.20.1+dfsg for Debian's purposes
  * d/copyright: Update
  * d/control: Update standards version to 4.6.2 (no changes needed)
  * d/control: Remove version constraints unnecessary since Debian 11
  * d/upstream/metadata: Add Repository field
  * d/tests: Run Xvfb with -noreset to make the test more reliable.
    See #981201.
  * d/tests: Instruct xvfb-run to choose a server number automatically
  * d/watch: Only watch for 2.x versions.
    The upstream 'main' branch now targets SDL 3 (under development), and
    should be packaged separately as a libsdl3-ttf source package.

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Jul 2023 18:05:37 +0100
