## libsdl2-ttf 2.22.0+dfsg

=== debian/changelog ===
libsdl2-ttf (2.22.0+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update
  * d/gbp.conf: Only sign packaging tags, not upstream tags
  * d/gbp.conf: Rely on uscan to repack upstream source.
    This will use Files-Excluded in d/copyright, rather than separate
    configuration.
  * d/gbp.conf: Use DEP-14 branch names

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 13:12:17 +0000
