=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libfreetype-dev,
-               libharfbuzz-dev (>= 2.3.1),
-               libsdl2-dev (>= 2.0.12),
+               libharfbuzz-dev,
+               libsdl2-dev,
                pkg-config
 Homepage: https://www.libsdl.org/projects/SDL_ttf/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-ttf
@@ -34,9 +34,9 @@
 Depends: ${misc:Depends},
          libc6-dev,
          libfreetype-dev,
-         libharfbuzz-dev (>= 2.3.1),
+         libharfbuzz-dev,
          libsdl2-ttf-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.0)
+         libsdl2-dev
 Description: TrueType Font library for Simple DirectMedia Layer 2, development files
  Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
  render text in SDL applications.
