## libsdl2-ttf 2.24.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,22 @@
 
 #export DH_VERBOSE=1
 
-
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
 
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/default.mk
 
 
 # export variables for autoreconf
 export AUTOMAKE := automake --foreign
 export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude
 
+confflags :=
+
+# Static SDL2-based libraries are no longer useful with sdl2-compat,
+# which needs a shared SDL3 anyway
+confflags += --enable-shared
+confflags += --disable-static
 
 confflags += --enable-harfbuzz
 confflags += --disable-freetype-builtin
