=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libfreetype-dev,
                libharfbuzz-dev,
                libsdl2-dev,
-               pkg-config
+               pkgconf,
 Homepage: https://www.libsdl.org/projects/SDL_ttf/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-ttf
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-ttf.git
@@ -32,6 +32,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         ${shlibs:Depends},
          libc6-dev,
          libfreetype-dev,
          libharfbuzz-dev,
