=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,6 @@
 export AUTOMAKE := automake --foreign
 export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude
 
-confflags :=
-
-# Static SDL2-based libraries are no longer useful with sdl2-compat,
-# which needs a shared SDL3 anyway
-confflags += --enable-shared
-confflags += --disable-static
 
 confflags += --enable-harfbuzz
 confflags += --disable-freetype-builtin
