=== debian/tests/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
  build-essential,
  cmake,
  file,
- fonts-cantarell,
+ fonts-freefont-otf,
  libsdl2-ttf-dev,
  ninja-build,
- pkg-config,
+ pkgconf,
  xauth,
  xvfb,
