=== debian/watch ===
--- 
+++ 
@@ -9,4 +9,4 @@
     pgpmode=auto, \
     repack, \
     repacksuffix=+dfsg" \
-https://github.com/libsdl-org/SDL_ttf/tags .*/releases/tag/release-?@ANY_VERSION@
+https://github.com/libsdl-org/SDL_ttf/tags .*/releases/tag/release-?(2\.[0-9.]+)
